> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/stellar/horizon-api/effects/effect-types.md).

# Effect Types

There are eight groups of effect types. Each effect type has its own set of attributes.

### Account Effects <a href="#account-effects" id="account-effects"></a>

* `Account Created`

  create\_account
* `Account Removed`

  merge\_account
* `Account Credited`

  create\_account, payment, path\_payment, merge\_account
* `Account Debited`

  create\_account, payment, path\_payment, merge\_account
* `Account Thresholds Updated`

  set\_options
* `Account Home Domain Updated`

  set\_options
* `Account Flags Updated`

  set\_options
* `Account Inflation Destination Updated`

  set\_options

### Signer Effects[​](https://developers.stellar.org/network/horizon/api-reference/resources/effects/types#signer-effects) <a href="#signer-effects" id="signer-effects"></a>

* `Signer Created`

  set\_options
* `Signer Removed`

  set\_options
* `Signer Updated`

  set\_options

### Trustline Effects[​](https://developers.stellar.org/network/horizon/api-reference/resources/effects/types#trustline-effects) <a href="#trustline-effects" id="trustline-effects"></a>

* `Trustline Created`

  change\_trust
* `Trustline Removed`

  change\_trust
* `Trustline Updated`

  change\_trust, allow\_trust
* `Trustline Authorized`

  allow\_trust
* `Trustline Deauthorized`

  allow\_trust

### Trading Effects[​](https://developers.stellar.org/network/horizon/api-reference/resources/effects/types#trading-effects) <a href="#trading-effects" id="trading-effects"></a>

* `Offer Created`

  manage\_buy\_offer, manage\_sell\_offer, create\_passive\_sell\_offer
* `Offer Removed`

  manage\_buy\_offer, manage\_sell\_offer, create\_passive\_sell\_offer, path\_payment
* `Offer Updated`

  manage\_buy\_offer, manage\_sell\_offer, create\_passive\_sell\_offer, path\_payment
* `Trade`

  manage\_buy\_offer, manage\_sell\_offer, create\_passive\_sell\_offer, path\_payment

### Data Effects[​](https://developers.stellar.org/network/horizon/api-reference/resources/effects/types#data-effects) <a href="#data-effects" id="data-effects"></a>

* `Data Created`

  manage\_data
* `Data Removed`

  manage\_data
* `Data Updated`

  manage\_data

### Claimable Balance Effects[​](https://developers.stellar.org/network/horizon/api-reference/resources/effects/types#claimable-balance-effects) <a href="#claimable-balance-effects" id="claimable-balance-effects"></a>

* `Claimable Balance Created`

  create\_claimable\_balance
* `Claimable Balance Claimant Created`

  create\_claimable\_balance
* `Claimable Balance Claimed`

  claim\_claimable\_balance

### Sponsorship Effects[​](https://developers.stellar.org/network/horizon/api-reference/resources/effects/types#sponsorship-effects) <a href="#sponsorship-effects" id="sponsorship-effects"></a>

* `Account Sponsorship Created`

  create\_account
* `Account Sponsorship Updated`

  revoke\_sponsorship
* `Account Sponsorship Removed`

  revoke\_sponsorship
* `Trustline Sponsorship Created`

  change\_trust
* `Trustline Sponsorship Updated`

  revoke\_sponsorship
* `Trustline Sponsorship Removed`

  revoke\_sponsorship
* `Account Data Sponsorship Created`

  manage\_data
* `Account Data Sponsorship Updated`

  revoke\_sponsorship
* `Account Data Sponsorship Removed`

  revoke\_sponsorship
* `Claimable Balance Sponsorship Created`

  create\_claimable\_balance
* `Claimable Balance Sponsorship Updated`

  revoke\_sponsorship
* `Claimable Balance Sponsorship Removed`

  revoke\_sponsorship
* `Account Signer Sponsorship Created`

  set\_options
* `Account Signer Sponsorship Updated`

  revoke\_sponsorship
* `Account Signer Sponsorship Removed`

  revoke\_sponsorship

### Liquidity Pool Effects[​](https://developers.stellar.org/network/horizon/api-reference/resources/effects/types#liquidity-pool-effects) <a href="#liquidity-pool-effects" id="liquidity-pool-effects"></a>

* `Liquidity Pool Created`

  change\_trust
* `Liquidity Pool Removed`

  change\_trust
* `Liquidity Pool Revoked`

  change\_trust, allow\_trust
* `Liquidity Pool Deposited`

  liquidity\_pool\_deposit
* `Liquidity Pool Withdraw`

  liquidity\_pool\_withdraw
* `Liquidity Pool Trade`

  path\_payment

### Miscellaneous Effects[​](https://developers.stellar.org/network/horizon/api-reference/resources/effects/types#miscellaneous-effects) <a href="#miscellaneous-effects" id="miscellaneous-effects"></a>

* `Sequence Bumped`

  bump\_sequence


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/stellar/horizon-api/effects/effect-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
